import request from '@/utils/request'

// 查询井身结构数据列表
export function listJsdb(query) {
  return request({
    url: '/system/jsdb/list',
    method: 'get',
    params: query
  })
}

// 查询井身结构数据详细
export function getJsdb(jh) {
  return request({
    url: '/system/jsdb/' + jh,
    method: 'get'
  })
}

// 新增井身结构数据
export function addJsdb(data) {
  return request({
    url: '/system/jsdb',
    method: 'post',
    data: data
  })
}

// 修改井身结构数据
export function updateJsdb(data) {
  return request({
    url: '/system/jsdb',
    method: 'put',
    data: data
  })
}

// 删除井身结构数据
export function delJsdb(jh) {
  return request({
    url: '/system/jsdb/' + jh,
    method: 'delete'
  })
}
